<?php
	include( "config.php3" );

$cle = $REGISTRATION_CONFIRMATION_KEY;
$code = $_GET["t"];
$code = md5($cle.$code);
$code = substr($code,10,6);
$code = strtoupper($code);

	$longueurTexte = strlen($code);

	$largeurImage = 200;
	$hauteurImage = 25;
	$image = ImageCreateTrueColor($largeurImage, $hauteurImage);
	$couleur1 = ImageColorAllocate($image, 240, 240, 240 );
	$couleur2 = ImageColorAllocate($image, 0, 0, 0 );
	imagefill($image,0,0,$couleur1);

	$font = "./Fonts/courrier.ttf";

	for($i=0;$i<$longueurTexte;$i++)
	{
		$chaine .= $code{$i} . " ";
		imagettftext ( $image, 15, rand(-35,35), 20+($i*30), 18, ImageColorAllocate($image, rand(50,200), rand(50,200), rand(50,200) ), $font, $code{$i} );
	}

	ImagePNG($image);
	ImageDestroy($image);

?>